SDL_GetGamepadBindings(3)

NAME
SDL_GetGamepadBindings - Get the SDL joystick layer bindings for a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

extern DECLSPEC SDL_GamepadBinding **SDLCALL SDL_GetGamepadBindings(SDL_Gamepad *gamepad, int *count);

FUNCTION PARAMETERS

gamepad
    a gamepad

count
    a pointer filled in with the number of bindings returned

RETURN VALUE
Returns a NULL terminated array of pointers to bindings which should be freed with SDL_free (), or NULL on error; call SDL_GetError () for more details.

AVAILABILITY
This function is available since SDL 3.0.0.